#ifndef UMStrH
#define UMStrH

#include <string>
#include <iostream>

using namespace std;

const char *itostr(int i);

class MStr : public string
{
public:
	MStr(const char *s) : string(s){}
	MStr(int i) : string(itostr(i)){}
	MStr(char c) : string(1,c){}
	MStr() : string(){}
	MStr(string s) : string(s.c_str()){}
	MStr LowerCase();
	MStr SubString(int i,int j){ return substr(i-1,j); };
// 	int operator<(const MStr&) const;
};

#endif



